# $Revision: 1.15 $, $Date: 2004/05/06 17:57:00 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Switch
Summary:	Switch - a switch statement for Perl
Summary(pl):	Switch - instrukcja switch dla Perla
Name:		perl-%{pdir}
Version:	2.10
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/authors/id/R/RG/RGARCIA/%{pdir}-%{version}.tar.gz
# Source0-md5:	29650eb2782955446c70ee4376f61066
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Switch.pm provides the syntax and semantics for an explicit case
mechanism for Perl.  The syntax is minimal, introducing only the
keywords "switch" and "case" and conforming to the general pattern of
existing Perl control structures.  The semantics are particularly
rich, allowing any one (or more) of nearly 30 forms of matching to be
used when comparing a switch value with its various cases.

%description -l pl
Switch.pm udostpnia skadni i semantyk dla jawnego mechanizmu
rozpatrywania przypadku dla Perla.  Skadnia jest minimalna, wprowadza
jedynie sowa kluczowe ,,switch'' i ,,case'' i zachowujc zgodno
z oglnym wzorcem istniejcych procedur kontroli przepywu Perla.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Switch.spec,v $
Revision 1.15  2004/05/06 17:57:00  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/01 00:32:00  ankry
- license fixed, cosmetics

Revision 1.13  2004/04/15 20:30:24  ankry
- cosmetics, unification

Revision 1.12  2004/04/11 16:29:31  migo
- up to 2.10
- adjusted URL, added tests

Revision 1.11  2003/09/25 21:37:41  migo
- description fix

Revision 1.10  2003/08/18 08:09:16  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:25:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 20:46:47  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/28 10:08:32  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.4  2003/02/25 00:41:49  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:30  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/07/25 23:59:08  radek
- added CVS Date field in the first line

Revision 1.1  2002/07/21 23:13:24  radek
- new, STBR

